/* ***************************************************************************+
 * ITX package (cnrg.itx) for telephony application programming.              *
 * Copyright (c) 1999  Cornell University, Ithaca NY.                         *
 * A copy of the license is distributed with this package.  Look in the docs  *
 * directory, filename GPL.  Contact information: bergmark@cs.cornell.edu     *
 ******************************************************************************/


package cnrg.itx.datax.jaudio;

class JAudioInfo
{
	//////////////////////////////////////////////////////////////////////
	//																	//
	//					  CLASS METHODS									//
	//																	//
	//////////////////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////////////////
	//
	//	JAudioInfo::JAudioInfo()
	//
	//	Description:
	//		Creates the JAudioInfo object, gathering interesting info
	//		about the audio devices available on the system.
	//
	//	Returns:
	//		Nothing.
	//
	//////////////////////////////////////////////////////////////////////
	public JAudioInfo() 
	{
	}

	//////////////////////////////////////////////////////////////////////
	//
	//	JAudioInfo::getNumDevices()
	//
	//	Description:
	//		Returns the number of audio devices available on the system.
	//
	//	Returns:
	//		The number of audio devices on the system.
	//
	//////////////////////////////////////////////////////////////////////
	public int getNumDevices()
	{
		// Stupid bug - gives a link error!?!?
		return 2;//return numDevicesN();
	}

	//////////////////////////////////////////////////////////////////////
	//																	//
	//					  CLASS HELPER METHODS							//
	//																	//
	//////////////////////////////////////////////////////////////////////

	// All native methods
	public native int numDevicesN();
}
